Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 1.9.1.Final
    • Fix Version/s: 1.9.2.Final
    • Component/s: Database
    • Labels:
      None
    • Environment:

      Wildfly 10.0.0-Final
      Java 8
      Mongo 3.0.10
      Linux Mint 17.3

    • Steps to Reproduce:
      Hide

      Upgrade from 1.7 to 1.9.1
      Try to login into master realm

      Show
      Upgrade from 1.7 to 1.9.1 Try to login into master realm

      Description

      Hi , after upgrading keycloack from version 1.7 to 1.9.1 I get this error when trying to login with master realm user:

      10:52:45,478 WARN  [org.keycloak.hash.PasswordHashManager] (default task-101) Could not find hash provider HmacSHA1 for password
      10:52:45,478 WARN  [org.keycloak.events] (default task-101) type=LOGIN_ERROR, realmId=master, clientId=security-admin-console, userId=614f9a9e-37a2-4fa8-aa62-5a8c547c5f58, ipAddress=127.0.0.1, error=invalid_user_credentials, auth_method=openid-connect, auth_type=code, redirect_uri=https://localhost:8443/auth/admin/master/console/, code_id=1a3b9e6d-538c-46c0-9762-6a92b76fcaec, username=xxx
      

      My dbms is Mongo 3.0.10. I also tried exporting data from version 1.7 and then importing it from 1.9.1 , but i got the same error .

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  mposolda Marek Posolda
                  Reporter:
                  alessandro.segatto Alessandro Segatto
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: